set -eux

# remove intel repos
rm /etc/apt/sources.list.d/*.list
apt-get update
apt-get install -y \
  git \
  cmake \
  pkg-config \
  build-essential \
  autoconf \
  libtool \
  libatlas-base-dev \
  libfftw3-dev \
  libopenblas-dev \
  libcfitsio-dev \
  gawk

# initialize oneapi environment
#. /opt/intel/oneapi/setvars.sh --force

# make link for icc if necessary
#DIR_ICC=$(dirname "$(which icpx)")
#echo 'icpx -fsycl "$@"' > "${DIR_ICC}"/icc
##echo 'dpcpp "$@"' > "${DIR_ICC}"/icc
#chmod +x "${DIR_ICC}"/icc

# build
cp -r /build/source /build/tmp
cd /build/tmp
sh autogen.sh
./configure --enable-icc --enable-mkl --enable-auto-flags --enable-best-link
make -j
cp /build/tmp/src/sex /build/
rm -rf /build/tmp
chown 1000:1000 /build/sex


